View Issue Details

IDProjectCategoryView StatusLast Update
0006092DarkRadiantDesign/Codingpublic07.09.2022 10:56
Reportergreebo Assigned Togreebo  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version3.2.0 
Target Version3.3.0Fixed in Version3.3.0 
Summary0006092: FX Declaration Parsing Support
DescriptionAdd infrastructure and parsing code to handle FX declarations.
TagsNo tags attached.

Relationships

related to 0005537 resolvedgreebo FX Chooser 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: fx 61179c90

2022-09-04 16:21:51

greebo

Details Diff
0006092: Add infrastructure to handle FX declarations. Affected Issues
0006092
mod - include/idecltypes.h Diff File
add - include/ifx.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/fx/FxDeclaration.cpp Diff File
add - radiantcore/fx/FxDeclaration.h Diff File
add - radiantcore/fx/FxManager.cpp Diff File
add - radiantcore/fx/FxManager.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/include.vcxproj Diff File
mod - tools/msvc/include.vcxproj.filters Diff File

DarkRadiant: fx ef81b494

2022-09-04 16:48:01

greebo

Details Diff
0006092: Extend IFxDeclaration interface, add first unit tests and resources. Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxDeclaration.cpp Diff File
mod - radiantcore/fx/FxDeclaration.h Diff File
mod - test/CMakeLists.txt Diff File
add - test/Fx.cpp Diff File
add - test/resources/tdm/fx/parsertest.fx Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: fx e6ceda0f

2022-09-04 16:54:30

greebo

Details Diff
0006092: Cover the current interface by unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - test/Fx.cpp Diff File

DarkRadiant: fx 2c5b31d6

2022-09-04 17:34:30

greebo

Details Diff
0006092: Extend FX interfaces Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/fx/FxAction.cpp Diff File
add - radiantcore/fx/FxAction.h Diff File
mod - radiantcore/fx/FxDeclaration.cpp Diff File
mod - radiantcore/fx/FxDeclaration.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: fx 4b5a2ac9

2022-09-04 17:52:31

greebo

Details Diff
0006092: First parsing algorithm Affected Issues
0006092
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - radiantcore/fx/FxDeclaration.cpp Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx 9c5815da

2022-09-04 17:55:42

greebo

Details Diff
0006092: Parse the first few action members Affected Issues
0006092
mod - radiantcore/fx/FxAction.cpp Diff File
mod - test/Fx.cpp Diff File

DarkRadiant: fx 45101411

2022-09-04 18:25:54

greebo

Details Diff
0006092: Action parsing code and unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - radiantcore/fx/FxDeclaration.cpp Diff File
mod - radiantcore/fx/FxDeclaration.h Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx aa4416c6

2022-09-05 04:07:54

greebo

Details Diff
0006092: Action parsing code and unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx bffd6477

2022-09-05 04:24:30

greebo

Details Diff
0006092: Action parsing code and unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx 73bcca32

2022-09-05 04:33:58

greebo

Details Diff
0006092: Action parsing code and unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx 5f23cd93

2022-09-06 07:40:15

greebo

Details Diff
0006092: Action parsing code and unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx dcac59a8

2022-09-06 10:15:08

greebo

Details Diff
0006092: Action parsing code and unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx f79e493f

2022-09-06 10:32:36

greebo

Details Diff
0006092: Action parsing code and unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx bf99b848

2022-09-06 11:40:12

greebo

Details Diff
0006092: Action parsing code and unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx 6ff88a44

2022-09-06 11:48:30

greebo

Details Diff
0006092: Action parsing code and unit tests Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - test/Fx.cpp Diff File
mod - test/resources/tdm/fx/parsertest.fx Diff File

DarkRadiant: fx d959c2b4

2022-09-06 14:50:35

greebo

Details Diff
0006092: Add IFxManager interface and global module declaration Affected Issues
0006092
mod - include/ifx.h Diff File
mod - radiantcore/fx/FxManager.cpp Diff File
mod - radiantcore/fx/FxManager.h Diff File
mod - test/Fx.cpp Diff File

DarkRadiant: fx de2ae8a5

2022-09-06 15:02:33

greebo

Details Diff
0006092: Add FX-related script interfaces (WIP) Affected Issues
0006092
mod - install/scripts/test.py Diff File
mod - plugins/script/CMakeLists.txt Diff File
mod - plugins/script/ScriptingSystem.cpp Diff File
mod - plugins/script/interfaces/DeclarationManagerInterface.cpp Diff File
add - plugins/script/interfaces/FxManagerInterface.cpp Diff File
add - plugins/script/interfaces/FxManagerInterface.h Diff File
mod - tools/msvc/script.vcxproj Diff File
mod - tools/msvc/script.vcxproj.filters Diff File

DarkRadiant: fx ed9c0bdf

2022-09-06 15:10:32

greebo

Details Diff
0006092: FX declaration interface is complete, FX action is just a dummy Affected Issues
0006092
mod - install/scripts/test.py Diff File
mod - plugins/script/interfaces/FxManagerInterface.cpp Diff File
mod - plugins/script/interfaces/FxManagerInterface.h Diff File

DarkRadiant: fx 7fb6da2e

2022-09-07 10:17:22

greebo

Details Diff
0006092: FX action interface done Affected Issues
0006092
mod - install/scripts/test.py Diff File
mod - plugins/script/interfaces/FxManagerInterface.cpp Diff File
mod - plugins/script/interfaces/FxManagerInterface.h Diff File

DarkRadiant: fx 306877d4

2022-09-07 10:24:01

greebo

Details Diff
0006092: Rename a few methods for consistency Affected Issues
0006092
mod - include/ifx.h Diff File
mod - install/scripts/test.py Diff File
mod - plugins/script/interfaces/FxManagerInterface.cpp Diff File
mod - plugins/script/interfaces/FxManagerInterface.h Diff File
mod - radiantcore/fx/FxAction.cpp Diff File
mod - radiantcore/fx/FxAction.h Diff File
mod - test/Fx.cpp Diff File

DarkRadiant: master 322a2ad0

2022-09-07 10:36:14

greebo

Details Diff
0006092: Add isNull() check method to FxDeclaration interface Affected Issues
0006092
mod - include/ifx.h Diff File
mod - install/scripts/test.py Diff File
mod - plugins/script/interfaces/FxManagerInterface.cpp Diff File
mod - plugins/script/interfaces/FxManagerInterface.h Diff File

Issue History

Date Modified Username Field Change
04.09.2022 16:08 greebo New Issue
04.09.2022 16:08 greebo Relationship added related to 0005537
04.09.2022 16:08 greebo Status new => confirmed
04.09.2022 18:32 greebo Assigned To => greebo
04.09.2022 18:32 greebo Status confirmed => assigned
05.09.2022 04:10 greebo Changeset attached => DarkRadiant fx 61179c90
05.09.2022 04:10 greebo Changeset attached => DarkRadiant fx ef81b494
05.09.2022 04:10 greebo Changeset attached => DarkRadiant fx e6ceda0f
05.09.2022 04:10 greebo Changeset attached => DarkRadiant fx 2c5b31d6
05.09.2022 04:10 greebo Changeset attached => DarkRadiant fx 4b5a2ac9
05.09.2022 04:10 greebo Changeset attached => DarkRadiant fx 9c5815da
05.09.2022 04:10 greebo Changeset attached => DarkRadiant fx 45101411
05.09.2022 04:10 greebo Changeset attached => DarkRadiant fx aa4416c6
06.09.2022 11:48 greebo Changeset attached => DarkRadiant fx bffd6477
06.09.2022 11:48 greebo Changeset attached => DarkRadiant fx 73bcca32
06.09.2022 11:48 greebo Changeset attached => DarkRadiant fx 5f23cd93
06.09.2022 11:48 greebo Changeset attached => DarkRadiant fx dcac59a8
06.09.2022 11:48 greebo Changeset attached => DarkRadiant fx f79e493f
06.09.2022 11:48 greebo Changeset attached => DarkRadiant fx bf99b848
06.09.2022 11:48 greebo Changeset attached => DarkRadiant fx 6ff88a44
07.09.2022 10:24 greebo Changeset attached => DarkRadiant fx d959c2b4
07.09.2022 10:24 greebo Changeset attached => DarkRadiant fx de2ae8a5
07.09.2022 10:24 greebo Changeset attached => DarkRadiant fx ed9c0bdf
07.09.2022 10:24 greebo Changeset attached => DarkRadiant fx 7fb6da2e
07.09.2022 10:24 greebo Changeset attached => DarkRadiant fx 306877d4
07.09.2022 10:24 greebo Target Version => 3.3.0
07.09.2022 10:24 greebo Status assigned => resolved
07.09.2022 10:24 greebo Resolution open => fixed
07.09.2022 10:24 greebo Fixed in Version => 3.3.0
07.09.2022 10:38 greebo Changeset attached => DarkRadiant master 2dd281bc
07.09.2022 10:56 greebo Changeset removed DarkRadiant master 2dd281bc =>
07.09.2022 10:56 greebo Changeset attached => DarkRadiant master 322a2ad0